spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Functions
TA simplifications
TA (Testing Automata) » TA algorithms

## Functions
ta_explicit_ptr | spot::minimize_ta (const const_ta_ptr &ta_)
| Construct a simplified TA by merging bisimilar states. More...
tgta_explicit_ptr | spot::minimize_tgta (const const_tgta_explicit_ptr &tgta_)
| Construct a simplified TGTA by merging bisimilar states. More...

## Detailed Description

## Function Documentation

ta_explicit_ptr spot::minimize_ta | ( | const const_ta_ptr & | ta_ | ) |

`#include <spot/taalgos/minimize.hh>`

Construct a simplified TA by merging bisimilar states.

A TA automaton can be simplified by merging bisimilar states: Two states are bisimilar if the automaton can accept the same executions starting for either of these states. This can be achieved using any algorithm based on partition refinement

For more detail about this type of algorithm, see the following paper:

    @InProceedings{valmari.09.icatpn,
    author = {Antti Valmari},
    title = {Bisimilarity Minimization in in O(m logn) Time},
    booktitle = {Proceedings of the 30th International Conference on
                   the Applications and Theory of Petri Nets
                   (ICATPN'09)},
    series = {Lecture Notes in Computer Science},
    publisher = {Springer},
    isbn = {978-3-642-02423-8},
    pages = {123--142},
    volume = 5606,
     url = {http://dx.doi.org/10.1007/978-3-642-02424-5_9},
    year = {2009}
    }

Parameters

  ta_ | the TA automaton to convert into a simplified TA

tgta_explicit_ptr spot::minimize_tgta | ( | const const_tgta_explicit_ptr & | tgta_ | ) |

`#include <spot/taalgos/minimize.hh>`

Construct a simplified TGTA by merging bisimilar states.

A TGTA automaton can be simplified by merging bisimilar states: Two states are bisimilar if the automaton can accept the same executions starting for either of these states. This can be achieved using same algorithm used to simplify a TA taking into account the acceptance conditions of the outgoing transitions.

Parameters

  tgta_ | the TGTA automaton to convert into a simplified TGTA

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.